[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDatabase.Directory

Directory for the database

## Declaration

Source position: db.pas line 1661

`public property TDatabase.Directory: String read FDirectory write FDirectory;`

## Description

Directory is provided for Delphi compatibility: it indicates (for Paradox and dBase based databases) the directory where the database files are located. It is not used in the Free Pascal implementation of TDatabase.

## See also

TDatabase.Params |  | Connection parameters
TDatabase.IsSQLBased |  | Is the database SQL based.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .